Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://app.tagadapay.com/api/public/v1/promotion-codes/update \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "id": "pc_123", "data": { "code": "WINTER30", "usageLimit": 200, "active": true, "firstTimeCustomersOnly": false } } '
{ "id": "pc_123", "code": "WINTER30", "active": true, "usageLimit": 200 }
Update an existing promotion code by ID
Enter your API key as: Bearer your-api-key
Bearer your-api-key
Show child attributes
Successful response